#include <conio.h>

#define COM_PORT  2  // COM порт номер 3


unsigned  com_address( int );
void to_modem( unsigned, char* );
void dtr_on( unsigned );


void main(void) {

	unsigned com_adr;

	// проверяем наличие порта COM_PORT

	if(( com_adr = com_address( COM_PORT )) < 0 ) exit( com_adr );

	// устанавливаем сигнал DTR

	dtr_on( com_adr );

	// набираем номер

	to_modem( com_adr, "AT M0 DP 255 23 62" );
	getch();

	// сбрасывааем сигнал DTR

	dtr_off( com_adr );

	// опускаем трубку

	to_modem( com_adr, "AT H" );
}

